/*
 * rmsstats.h - Header File
 *
 * $Revision: 0.1c $
 * $Author: charlesb $
 *
 * Linux RMS Gateway Statistics Program/Log Parser
 *
 * Copyright (c) 2008 Charles Blackburn - AI4RI
 *
 * Questions or problems regarding this program can be emailed
 * to stormchaseruk at gmail dot com
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Revision History
 * ----------------
 * 
 * Version	Date		Author		Description
 * 0.1b		06/03/08	charlesb	Original re-write from bash/perl scripts
 * 0.1c		06/06/08	charlesb	Modularised for ease
 *  *
 */
static char svnid[] = "$Id: rmsstats v0.1c 2008-06-13 20:00EST charlesb $";

#include <stdlib.h>
#include <stdio.h>
#include <string.h>
#include <unistd.h>
#include <errno.h>
#include <signal.h>
#include <sys/time.h>
#include <sys/types.h>
#include <regex.h>
#include <getopt.h>

// This defines a "Logout ERROR" line
#define ERRORSTR "ERROR"
// Default name/location of logfile
#define DEFLOG	"/var/log/rms"
#define __DEBUG__ 1

// Verbose flag
int verbose_flag;
// container for conf file filename
char conffile[50];
// container for user (inbound) call
char usercall[10];
extern float TotalTXBytes;
extern float TotalRXBytes;
extern float TotalTime;
extern float TotalSpeed;
extern unsigned int TotalConnects;
extern unsigned int ErrorLines;				// Total lines which are Error'd
extern unsigned int TotalLines;				// Total Lines of Logouts that are valid
extern unsigned int days, hours, minutes, seconds;

extern int main(int argc, char *argv[]);
extern void CheckOptions(int argc, char *argv[]);
extern void TotalUp(char call[], int txbytes, int rxbytes, float time, float speed);
extern FILE *OpenConfig(char fname[]);
extern void PrintResults(void);
extern char *tucase(char *str); 
