/*
 * totalup.c
 *
 * $Revision: 0.1c $
 * $Author: charlesb $
 *
 * Linux RMS Gateway Statistics Program/Log Parser
 *
 * Copyright (c) 2008 Charles Blackburn - AI4RI
 *
 * Questions or problems regarding this program can be emailed
 * to stormchaseruk at gmail dot com
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Revision History
 * ----------------
 * 
 * Version	Date		Author		Description
 * 0.1c		06/06/08	charlesb	Modularised for ease
 *
 */

#include "rmsstats.h"

void TotalUp(char call[], int txbytes, int rxbytes, float time, float speed) {
	TotalRXBytes += rxbytes;
	TotalTXBytes += txbytes;
	TotalTime += time;
	TotalSpeed += speed;
	TotalLines++;

	days = TotalTime / 864000;
	hours = (TotalTime / 3600) - (days * 24);
	minutes = (TotalTime / 60) - (days * 1440) - (hours * 60);
	seconds = (int)TotalTime % 60;
}

void PrintResults(void) {
	// Print results
	printf(" %s\n", svnid);
	sleep(1);
	printf(" (c) Copyright 2008, Charles Blackburn - AI4RI (conf: %s)\n", conffile);
	sleep(1);
	printf(" Total Connects: %d, Total ERRORS: %d\n", TotalLines, ErrorLines);
	sleep(1);
	printf(" Total In: %.2f Kbytes, Total Out: %.2f KBytes\n", (TotalRXBytes/1024), (TotalTXBytes/1024));
	sleep(1);
	printf(" Total Time: %d Days, %02d:%02d:%02d", days, hours, minutes, seconds);
	sleep(1);
	printf(" with an average speed: %.2f bytes/s\n", (TotalRXBytes + TotalTXBytes) / TotalTime);
	sleep(1);
}
